#include <bits/stdc++.h>
using namespace std;

long int f(long int a)
{  long int f0=0,f1=1,f2=-2e9;
   while (f2<a)
   { f2=f0+f1;
      f0=f1;
      f1=f2; }
      if (a==f2){return true;}
      else return false;

}
int main()
{

      long int n,i,dem=0;
   cin>>n;
   long int a[n+1];
for (i=1;i<=n;i++)
   {
       cin>>a[i];
   }
   for (i=1;i<=n;i++)
   {
       if (f(a[i])==true)
        dem++;
   }
   cout<<dem;
   return 0;
}
